import { request } from '@/utils/request';

/**
 * 收藏接口 - 查询收藏列表
 * @returns
 */
export function maintainFavoritePaging(data) {
  return request({
    url: '/maintain/favorites',
    method: 'get',
    data: data,
    header: {
      'content-type': 'application/x-www-form-urlencoded',
    },
  });
}

/**
 * 用户接口 - 获取用户信息
 * @returns
 */
export function maintainUserInfo(data) {
  return request({
    url: '/maintain/user/info',
    method: 'get',
    data: data,
    header: {
      'content-type': 'application/x-www-form-urlencoded',
    },
  });
}

/**
 * 优惠券接口 - 查询优惠券分页
 * @returns
 */
export function maintainCouponPaging(data) {
  return request({
    url: '/maintain/usercoupons',
    method: 'get',
    data: data,
    header: {
      'content-type': 'application/x-www-form-urlencoded',
    },
  });
}

/**
 * 预约接口 - 查询用户预约列表
 * @returns
 */
export function maintainReservations(data) {
  return request({
    url: '/maintain/reservations',
    method: 'get',
    data: data,
    header: {
      'content-type': 'application/x-www-form-urlencoded',
    },
  });
}
